#### Previous topic

scipy.linalg.interpolative.estimate_rank

#### Next topic

scipy.linalg.interpolative.rand

# scipy.linalg.interpolative.seed

`scipy.linalg.interpolative.``seed`(seed=None)

  Seed the internal random number generator used in this ID package.

  The generator is a lagged Fibonacci method with 55-element internal state.

  Parameters:

  seed : int, sequence, ‘default’, optional

  > If ‘default’, the random seed is reset to a default value.

  > If `seed` is a sequence containing 55 floating-point numbers in range [0,1], these are used to set the internal state of the generator.

  > If the value is an integer, the internal state is obtained from `numpy.random.RandomState` (MT19937) with the integer used as the initial seed.

  > If `seed` is omitted (None), `numpy.random` is used to initialize the generator.